Package org.drinkless.tdlib

# Class TdApi.MessagePremiumGiveawayCompleted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePremiumGiveawayCompleted

Enclosing class:
  TdApi

public static class TdApi.MessagePremiumGiveawayCompleted extends TdApi.MessageContent
A Telegram Premium giveaway without public winners has been completed for the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `giveawayMessageId`
  Identifier of the message with the giveaway; can be 0 if the message was deleted.
  `int`
  `unclaimedPrizeCount`
  Number of undistributed prizes.
  `int`
  `winnerCount`
  Number of winners in the giveaway.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePremiumGiveawayCompleted()`
  A Telegram Premium giveaway without public winners has been completed for the chat.
  `MessagePremiumGiveawayCompleted(long giveawayMessageId, int winnerCount, int unclaimedPrizeCount)`
  A Telegram Premium giveaway without public winners has been completed for the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### giveawayMessageId

    public long giveawayMessageId
    Identifier of the message with the giveaway; can be 0 if the message was deleted.

  - ### winnerCount

    public int winnerCount
    Number of winners in the giveaway.

  - ### unclaimedPrizeCount

    public int unclaimedPrizeCount
    Number of undistributed prizes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePremiumGiveawayCompleted

    public MessagePremiumGiveawayCompleted()
    A Telegram Premium giveaway without public winners has been completed for the chat.

  - ### MessagePremiumGiveawayCompleted

    public MessagePremiumGiveawayCompleted(long giveawayMessageId, int winnerCount, int unclaimedPrizeCount)
    A Telegram Premium giveaway without public winners has been completed for the chat.
    Parameters:
      `giveawayMessageId` - Identifier of the message with the giveaway; can be 0 if the message was deleted.
      `winnerCount` - Number of winners in the giveaway.
      `unclaimedPrizeCount` - Number of undistributed prizes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR